%define api_version 1.0
%define major 1
%define libname %mklibname gnomecups-%{api_version}_ %{major}
%define develname %mklibname gnomecups-%{api_version} -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME library for CUPS integration
Name:		libgnomecups
Version:	0.2.3
Release:	%mkrel 10
License:	LGPL
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# (fc) 0.2.2-4mdv fix cups callback for authentication (SUSE)
Patch1:		libgnomecups-0.2.2-callbackfix.patch
# (fc) 0.2.2-4mdv add dbus support (Fedora)
Patch3:		libgnomecups-0.2.3-dbus.patch
# (fc) 0.2.2-4mdv parse cups loptions (ubuntu)
Patch4:		libgnomecups-0.2.2-parse-dot-cups-loptions.patch
# (fc) 0.2.2-4mdv fix remote printer detection (ubuntu)
Patch5:		libgnomecups-0.2.2-fix-islocal.patch
# (fc) 0.2.2-4mdv don't warn on stderr for IPP_NOT_FOUND (ubuntu)
Patch6:		libgnomecups-0.2.2-ignore-ipp-not-found.patch
# (fc) 0.2.2-4mdv allow to change some cups printer attributes (ubuntu)
Patch7:		libgnomecups-0.2.2-replace-set-printer-attrs.patch
Patch8:		libgnomecups-0.2.3-fix-str-fmt.patch
# (cjw) fix glib includes
Patch9:		libgnomecups-0.2.3-glib.patch
Patch10:	libgnomecups-0.2.3-automake-1.13.patch
BuildRequires:	cups-devel cups-common
BuildRequires:	glib2-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	gnome-common

%description
GNOME library for CUPS integration

%package -n %{libname}
Summary:	GNOME library for CUPS integration
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
GNOME library for CUPS integration

%package -n %{develname}
Summary:	GNOME library for CUPS integration
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Obsoletes:	%{mklibname gnomecups-%{api_version}_ 1 -d}

%description -n %{develname}
GNOME library for CUPS integration

%prep
%setup -q
%patch1 -p1 -b .callbackfix
%patch3 -p1 -b .dbus
%patch4 -p1 -b .parse-dot-cups-loptions
%patch5 -p1 -b .fix-is-local
%patch6 -p1 -b .ignore-ipp-not-found
%patch7 -p1 -b .replace-set-printer-attrs
%patch8 -p0 -b .str
%patch9 -p1 -b .glib
%patch10 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x --with-dbus=yes

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog NEWS AUTHORS

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{develname}
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.2.3-10.mga3
+ Revision: 357262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.2.3-9.mga3
+ Revision: 339254
- patch10: fix build with automake 1.13

* Wed Dec 05 2012 cjw <cjw> 0.2.3-8.mga3
+ Revision: 326969
- add BuildRequires: gettext-devel (for AM_NLS)
- patch9: fix glib includes

  + ovitters <ovitters>
    - clean spec

* Sun Jan 16 2011 pterjan <pterjan> 0.2.3-6.mga1
+ Revision: 20465
- Drop obsolete scriptlets
- imported package libgnomecups

